package cmd

import (
	"git.cijber.net/zer.ooo/service"
	"github.com/spf13/cobra"
)

var daemonCmd = &cobra.Command{
	Use:   "daemon",
	Short: "Starts the zer.ooo service daemon",
	Long:  "Will start running the zer.ooo service daemon, keeping OpenVPN up",

	Run: func(cmd *cobra.Command, args []string) {
		config, err := service.LoadConfig(ConfigPath)
		service.Check(err, "Failed loading config, err: %s", err)
		mgmt := service.NewManager(*config)
		mgmt.Init()
		mgmt.Daemon()
	},
}

func init() {

}
